<?php


class AMSUtil
{
    /**
     * 首先在$_GET当中查询是否包含有此KEY的值,若没有继续在$_POST当中查询
     * @param $key
     */
    public static function get_http_parameter($key)
    {
        $para = $_GET[$key];
        if($para == "")
        {
            $para = $_POST[$key];
        }
        return $para;
    }

    /**
     * 将类似 true false的字符串转换为bool类型 1或者是0,
     * @param $bool_str
     * @return bool 若字符串非 "true"则返回 bool类型的 false
     */
    public static function convert_str2_bool($bool_str)
    {
        $bool_val = false;
        if($bool_str == "true")
        {
            $bool_val = true;
        }
        return $bool_val;
    }

}